javax.activation

## Class MimeTypeParameterList

- java.lang.Object
- - javax.activation.MimeTypeParameterList

    public class MimeTypeParameterList
    extends Object

A parameter list of a MimeType as defined in RFC 2045 and 2046. The Primary type of the object must already be stripped off.

Since:
  1.6
See Also:
  `MimeType`

### Constructor Summary

Constructors
Constructor and Description
`MimeTypeParameterList()` Default constructor.
`MimeTypeParameterList(String parameterList)` Constructs a new MimeTypeParameterList with the passed in data.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `get(String name)` Retrieve the value associated with the given name, or null if there is no current association.
`Enumeration` `getNames()` Retrieve an enumeration of all the names in this list.
`boolean` `isEmpty()` Determine whether or not this list is empty.
`protected void` `parse(String parameterList)` A routine for parsing the parameter list out of a String.
`void` `remove(String name)` Remove any value associated with the given name.
`void` `set(String name, String value)` Set the value to be associated with the given name, replacing any previous association.
`int` `size()` Return the number of name-value pairs in this list.
`String` `toString()` Return a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MimeTypeParameterList

    public MimeTypeParameterList()

Default constructor.

#### MimeTypeParameterList

    public MimeTypeParameterList(String parameterList)
                          throws MimeTypeParseException

Constructs a new MimeTypeParameterList with the passed in data.

Parameters:
  `parameterList` - an RFC 2045, 2046 compliant parameter list.
Throws:
  `MimeTypeParseException`

### Method Detail

#### parse

    protected void parse(String parameterList)
                  throws MimeTypeParseException

A routine for parsing the parameter list out of a String.

Parameters:
  `parameterList` - an RFC 2045, 2046 compliant parameter list.
Throws:
  `MimeTypeParseException`

#### size

    public int size()

Return the number of name-value pairs in this list.

Returns:
  the number of parameters

#### isEmpty

    public boolean isEmpty()

Determine whether or not this list is empty.

Returns:
  true if there are no parameters

#### get

    public String get(String name)

Retrieve the value associated with the given name, or null if there is no current association.

Parameters:
  `name` - the parameter name
Returns:
  the parameter's value

#### set

    public void set(String name,
                    String value)

Set the value to be associated with the given name, replacing any previous association.

Parameters:
  `name` - the parameter name
  `value` - the parameter's value

#### remove

    public void remove(String name)

Remove any value associated with the given name.

Parameters:
  `name` - the parameter name

#### getNames

    public Enumeration getNames()

Retrieve an enumeration of all the names in this list.

Returns:
  an enumeration of all parameter names

#### toString

    public String toString()

Return a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.